GET api/contractItemapi/contractItem/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

ContractItemViewModel
NameDescriptionTypeAdditional information
item_descriptions

Dictionary of string [key] and string [value]

None.

item_code

string

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

contract_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "item_code": "sample string 1",
  "selected_sticker_id": "1d6f005f-a5a7-4d5e-9b15-a231d84fbd92",
  "selected_nameplate_id": "de732d2f-6db1-48fa-b11c-d629aa3d0e47",
  "active": true,
  "contract_id": "f28d13f4-a24a-4a3b-a237-dc435d75077c",
  "id": "930d1177-6fc2-4f4c-942c-b6fbf54fd1b5",
  "physical_item_id": "e7990ae2-ebb6-4d38-8cbf-0f48bde748c6",
  "service_item_id": "06cbe030-fcec-4f07-8d5d-b1c83ace40c3",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <contract_id>f28d13f4-a24a-4a3b-a237-dc435d75077c</contract_id>
  <id>930d1177-6fc2-4f4c-942c-b6fbf54fd1b5</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>e7990ae2-ebb6-4d38-8cbf-0f48bde748c6</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>06cbe030-fcec-4f07-8d5d-b1c83ace40c3</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>de732d2f-6db1-48fa-b11c-d629aa3d0e47</selected_nameplate_id>
  <selected_sticker_id>1d6f005f-a5a7-4d5e-9b15-a231d84fbd92</selected_sticker_id>
</contract_item>